# org.apache.hadoop.hdfs.inotify

## Classes

- Event
- Event.AppendEvent
- Event.AppendEvent.Builder
- Event.CloseEvent
- Event.CreateEvent
- Event.CreateEvent.Builder
- Event.MetadataUpdateEvent
- Event.MetadataUpdateEvent.Builder
- Event.RenameEvent
- Event.RenameEvent.Builder
- Event.TruncateEvent
- Event.UnlinkEvent
- Event.UnlinkEvent.Builder
- EventBatch

## Enums

- Event.CreateEvent.INodeType
- Event.EventType
- Event.MetadataUpdateEvent.MetadataType

## Exceptions

- MissingEventsException